Announce object attributes

## Macros

#define | FLEXT_ADDATTR_GET(NAME, GFUN)
| Add handler for a gettable attribute. More...
#define | FLEXT_ADDATTR_SET(NAME, SFUN)
| Add handler for a settable attribute. More...
#define | FLEXT_ADDATTR_VAR(NAME, GFUN, SFUN)
| Add handlers for a both get- and settable attribute. More...
#define | FLEXT_ADDATTR_VAR1(NAME, FUN)
| Add handlers for a both get- and settable attribute. More...
#define | FLEXT_ADDATTR_GET_E(NAME, GFUN)
| Add handler for a gettable enum attribute. More...
#define | FLEXT_ADDATTR_SET_E(NAME, SFUN)
| Add handler for a settable enum attribute. More...
#define | FLEXT_ADDATTR_VAR_E(NAME, GFUN, SFUN)
| Add handlers for a both get- and settable enum attribute. More...
#define | FLEXT_ADDATTR_VAR1_E(NAME, FUN)
| Add handlers for a both get- and settable enum attribute. More...

## Detailed Description

Note
  These can only be used at object construction time
  (in constructor or in Init() function before call to parent's Init())

## Macro Definition Documentation

## FLEXT_ADDATTR_GET

#define FLEXT_ADDATTR_GET | ( |  | NAME,
|  |  | GFUN
| ) |  |

Value:
\
flext_base::AddAttrib(flext::MakeSymbol(NAME),(FLEXT_GET_PRE(GFUN)),NULL)
flext_base::AddAttrib
void AddAttrib(const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
Definition: flclass.h:610
FLEXT_GET_PRE
#define FLEXT_GET_PRE(F)
Definition: flbase.h:338

Add handler for a gettable attribute.

## FLEXT_ADDATTR_GET_E

#define FLEXT_ADDATTR_GET_E | ( |  | NAME,
|  |  | GFUN
| ) |  |

Value:
\
flext_base::AddAttrib(flext::MakeSymbol(NAME),(bool (*)(flext_base *,int &))(FLEXT_GET_PRE(GFUN)),NULL)
flext_base
Definition: flclass.h:58
flext_base::AddAttrib
void AddAttrib(const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
Definition: flclass.h:610
FLEXT_GET_PRE
#define FLEXT_GET_PRE(F)
Definition: flbase.h:338

Add handler for a gettable enum attribute.

## FLEXT_ADDATTR_SET

#define FLEXT_ADDATTR_SET | ( |  | NAME,
|  |  | SFUN
| ) |  |

Value:
\
flext_base::AddAttrib(flext::MakeSymbol(NAME),NULL,(FLEXT_SET_PRE(SFUN)))
FLEXT_SET_PRE
#define FLEXT_SET_PRE(F)
Definition: flbase.h:339
flext_base::AddAttrib
void AddAttrib(const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
Definition: flclass.h:610

Add handler for a settable attribute.

## FLEXT_ADDATTR_SET_E

#define FLEXT_ADDATTR_SET_E | ( |  | NAME,
|  |  | SFUN
| ) |  |

Value:
\
flext_base::AddAttrib(flext::MakeSymbol(NAME),NULL,(bool (*)(flext_base *,int &))(FLEXT_SET_PRE(SFUN)))
FLEXT_SET_PRE
#define FLEXT_SET_PRE(F)
Definition: flbase.h:339
flext_base
Definition: flclass.h:58
flext_base::AddAttrib
void AddAttrib(const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
Definition: flclass.h:610

Add handler for a settable enum attribute.

## FLEXT_ADDATTR_VAR

#define FLEXT_ADDATTR_VAR | ( |  | NAME,
|  |  | GFUN,
|  |  | SFUN
| ) |  |

Value:
\
flext_base::AddAttrib(flext::MakeSymbol(NAME),(FLEXT_GET_PRE(GFUN)),(FLEXT_SET_PRE(SFUN)))
FLEXT_SET_PRE
#define FLEXT_SET_PRE(F)
Definition: flbase.h:339
flext_base::AddAttrib
void AddAttrib(const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
Definition: flclass.h:610
FLEXT_GET_PRE
#define FLEXT_GET_PRE(F)
Definition: flbase.h:338

Add handlers for a both get- and settable attribute.

## FLEXT_ADDATTR_VAR1

#define FLEXT_ADDATTR_VAR1 | ( |  | NAME,
|  |  | FUN
| ) |  |

Value:
\
flext_base::AddAttrib(flext::MakeSymbol(NAME),(FLEXT_GET_PRE(FUN)),(FLEXT_SET_PRE(FUN)))
FLEXT_SET_PRE
#define FLEXT_SET_PRE(F)
Definition: flbase.h:339
flext_base::AddAttrib
void AddAttrib(const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
Definition: flclass.h:610
FLEXT_GET_PRE
#define FLEXT_GET_PRE(F)
Definition: flbase.h:338

Add handlers for a both get- and settable attribute.

## FLEXT_ADDATTR_VAR1_E

#define FLEXT_ADDATTR_VAR1_E | ( |  | NAME,
|  |  | FUN
| ) |  |

Value:
\
flext_base::AddAttrib(flext::MakeSymbol(NAME),(bool (*)(flext_base *,int &))(FLEXT_GET_PRE(FUN)),(bool (*)(flext_base *,int &))(FLEXT_SET_PRE(FUN)))
FLEXT_SET_PRE
#define FLEXT_SET_PRE(F)
Definition: flbase.h:339
flext_base
Definition: flclass.h:58
flext_base::AddAttrib
void AddAttrib(const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
Definition: flclass.h:610
FLEXT_GET_PRE
#define FLEXT_GET_PRE(F)
Definition: flbase.h:338

Add handlers for a both get- and settable enum attribute.

## FLEXT_ADDATTR_VAR_E

#define FLEXT_ADDATTR_VAR_E | ( |  | NAME,
|  |  | GFUN,
|  |  | SFUN
| ) |  |

Value:
\
flext_base::AddAttrib(flext::MakeSymbol(NAME),(bool (*)(flext_base *,int &))(FLEXT_GET_PRE(GFUN)),(bool (*)(flext_base *,int &))(FLEXT_SET_PRE(SFUN)))
FLEXT_SET_PRE
#define FLEXT_SET_PRE(F)
Definition: flbase.h:339
flext_base
Definition: flclass.h:58
flext_base::AddAttrib
void AddAttrib(const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
Definition: flclass.h:610
FLEXT_GET_PRE
#define FLEXT_GET_PRE(F)
Definition: flbase.h:338

Add handlers for a both get- and settable enum attribute.